| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::ConfigurableAlgTool Class Reference

Inheritance diagram for Configurable::ConfigurableAlgTool:

[legend]
Collaboration diagram for Configurable::ConfigurableAlgTool:

[legend]

List of all members.

## Detailed Description

Definition at line 1005 of file Configurable.py.

## Public Member Functions
def | __init__
def | getHandle
def | getGaudiType
def | getGaudiHandle
def | getPrintTitle
def | setParent
def | getParent
def | hasParent
def | getJobOptName
def | isPublic
def | isInToolSvc
def | toStringProperty
def | getFullName
## Private Attributes
| _name
| _jobOptName
## Static Private Attributes
dictionary | __slots__

## Member Function Documentation

def Configurable::ConfigurableAlgTool::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName` |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 1009 of file Configurable.py.

    01009                                                          :
    01010         super( ConfigurableAlgTool, self ).__init__( name )
    01011         if '.' not in self._name:
    01012             # Public tools must have ToolSvc as parent
    01013             self._name = "ToolSvc." + self._name
    01014         name = self.getName()
    01015         name = name[ name.find('/')+1 : ]   # strips class, if any
    01016         self._jobOptName = name
    01017
        def getHandle( self ):

def Configurable::ConfigurableAlgTool::getHandle | ( |  | self | ) |

Definition at line 1018 of file Configurable.py.

    01018                          :
    01019         # iAlgTool isn't useful, unless one knows for sure that the tool exists
    01020         return iProperty( self.getJobOptName() )
    01021
        def getGaudiType( self ):

def Configurable::ConfigurableAlgTool::getGaudiType | ( |  | self | ) |

Definition at line 1022 of file Configurable.py.

    01022                             :
    01023         return 'AlgTool'
    01024
        def getGaudiHandle( self ):

def Configurable::ConfigurableAlgTool::getGaudiHandle | ( |  | self | ) |

Definition at line 1025 of file Configurable.py.

    01025                               :
    01026         if self.isPublic():
    01027             return PublicToolHandle( self.toStringProperty() )
    01028         else:
    01029             return PrivateToolHandle( self.toStringProperty() )
    01030
        def getPrintTitle(self):

def Configurable::ConfigurableAlgTool::getPrintTitle | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1031 of file Configurable.py.

    01031                            :
    01032         if self.isPublic():
    01033             pop = 'Public '
    01034         else:
    01035             pop = 'Private '
    01036         return pop + Configurable.getPrintTitle(self)
    01037
        def setParent( self, parentName ):

def Configurable::ConfigurableAlgTool::setParent | ( |  | self,
|  |  | parentName |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 1038 of file Configurable.py.

    01038                                      :
    01039 #       print "ConfigurableAlgTool.setParent(%s@%x,%r)" % (self.getName(),id(self),parentName)
    01040 #       print "Calling stack:"
    01041 #       import traceback
    01042 #       traceback.print_stack()
    01043         # propagate parent to AlgTools in children
    01044         for c in self.getAllChildren():
    01045             if isinstance(c,ConfigurableAlgTool): c.setParent( parentName )
    01046
    01047         # update my own parent
    01048         name = self.getName()
    01049         name = name[name.rfind('.')+1:] # Name of the instance
    01050         self._jobOptName = self._name = parentName + '.' + name
    01051
        def getParent( self ):

def Configurable::ConfigurableAlgTool::getParent | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1052 of file Configurable.py.

    01052                          :
    01053         dot = self._jobOptName.rfind('.')
    01054         if dot != -1:
    01055             return self._jobOptName[:dot]
    01056         else:
    01057             return ""
    01058
        def hasParent( self, parent ):

def Configurable::ConfigurableAlgTool::hasParent | ( |  | self,
|  |  | parent |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 1059 of file Configurable.py.

    01059                                  :
    01060         return self._jobOptName.startswith( parent + '.' )
    01061
        def getJobOptName( self ):

def Configurable::ConfigurableAlgTool::getJobOptName | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1062 of file Configurable.py.

    01062                              :
    01063         return self._jobOptName
    01064
        def isPublic( self ):

def Configurable::ConfigurableAlgTool::isPublic | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1065 of file Configurable.py.

    01065                         :
    01066         return self.isInToolSvc()
    01067
        def isInToolSvc( self ):

def Configurable::ConfigurableAlgTool::isInToolSvc | ( |  | self | ) |

Definition at line 1068 of file Configurable.py.

    01068                            :
    01069         return self._jobOptName.startswith('ToolSvc.')
    01070
        def toStringProperty( self ):

def Configurable::ConfigurableAlgTool::toStringProperty | ( |  | self | ) |

Definition at line 1071 of file Configurable.py.

    01071                                 :
    01072         # called on conversion to a string property for the jocat
    01073         return self.getFullName()
    01074
        def getFullName( self ) :

def Configurable::ConfigurableAlgTool::getFullName | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 1075 of file Configurable.py.

    01075                             :
    01076         # for Tools, the "full name" means "Type/LocalName",
    01077         # without the names of the parents
    01078         name = self.getName()
    01079         # strip off everything before the last '.'
    01080         name = name[name.rfind('.')+1:]
    01081         return str( self.getType() + '/' + name )
    01082
    01083
    ### FIXME: this is just a placeholder, waiting for a real implementation

## Member Data Documentation

dictionary Configurable::ConfigurableAlgTool::__slots__`[static, private]`

Initial value:

    { '_jobOptName' : '', 'OutputLevel' : 0, \
           'AuditTools' : 0, 'AuditInitialize' : 0, 'AuditFinalize' : 0 }

Reimplemented from Configurable::Configurable.

Definition at line 1006 of file Configurable.py.

Configurable::ConfigurableAlgTool::_name`[private]`

Reimplemented from Configurable::Configurable.

Definition at line 1013 of file Configurable.py.

Configurable::ConfigurableAlgTool::_jobOptName`[private]`

Definition at line 1016 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py